
close all;


% computational domain
NX = 4096;
cx = linspace(0,NX-1,NX);

% parameters
la = 25;
k0 = 2.0/la;
w0 = 5.0*la;

% define initial electric field fucntion
InitialE = @(x,x0) sin(k0*x).*exp(-(x-x0).*(x-x0)/w0^2);

% choose time step:
  dtoverdx = 0.75;

% set initial condition
xc = NX/2;
EF = +InitialE(cx,xc);
HF = -InitialE(cx,xc);

figure(1);
hold off;

% execute some steps
for s=0:2000
EF = EF + dtoverdx*(circshift(HF,[1,-1]) - HF);
HF = HF - dtoverdx*(circshift(EF,[1,+1]) - EF);

plot(cx,EF);
pause(0.01);
end

